# DescribePools

## 1. 接口描述

本接口(DescribePools)用于查询账户下的公网 IP 池信息，支持按 IP 池 ID、地域或名称进行筛选，支持分页查询。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型              | 描述                                                   |
| -------- | -- | --------------- | ---------------------------------------------------- |
| poolIds  | 否  | Array of String | 根据公网IP池的ID。                                          |
| regionId | 否  | String          | 根据公网IP池的所在节点ID过滤。                                    |
| name     | 否  | String          | <p>根据公网IP池的名称过滤。</p><p>支持模糊查询。</p>                   |
| pageSize | 否  | Integer         | <p>返回的分页大小，默认为20，最大为1000。</p><p>可选值范围：\[1, 1000]</p> |
| pageNum  | 否  | Integer         | <p>返回的分页数。</p><p>可选值范围：\[1, +)</p><p>默认值：1</p>       |

## 3. 响应结果

| 参数名称       | 类型                                                                                                     | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                                | 符合条件的数据总数。                                               |
| dataSet    | Array of [PoolInfo](https://docs.console.zenlayer.com/api-reference/cn/compute/datastructure#poolinfo) | 公网IP池列表的结果数据。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询公网IP池列表。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePools
<Common Request Params>

Request：
{
  "poolIds": ["xxx"],
  "regionId": "asia-east-1",
  "pageSize": 10,
  "pageNum": 1
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
  "dataSet": [
      {
          "createTime": "2026-01-01T00:00:00Z",
          "ipv4CidrCount": 0,
          "ipv6CidrCount": 0,
          "name": "Pool-asia-east-1",
          "poolId": "<pool-id>",
          "regionId": "asia-east-1"
      }
    ],
    "requestId": "T5C342D75-EC18-4A94-9E48-7200776F5DA1",
    "totalCount": 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/cidr-block/describepools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
